Skip to main content
GET
/
api
/
v1
/
balances
List account balances
curl --request GET \
  --url https://mainnet.mirrornode.hedera.com/api/v1/balances
import requests

url = "https://mainnet.mirrornode.hedera.com/api/v1/balances"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://mainnet.mirrornode.hedera.com/api/v1/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "timestamp": "1586567700.453054000",
  "balances": [
    {
      "account": "0.15.10",
      "balance": 80,
      "tokens": [
        {
          "token_id": "0.0.200001",
          "balance": 8
        }
      ]
    }
  ],
  "links": {
    "next": null
  }
}
{
"_status": {
"messages": [
{
"message": "Invalid parameter: account.id"
},
{
"message": "Invalid Transaction id. Please use \\shard.realm.num-sss-nnn\\ format where sss are seconds and nnn are nanoseconds"
}
]
}
}

Query Parameters

account.id
string

Account id or account alias with no shard realm or evm address with no shard realm

Pattern: ^(\d{1,10}\.){0,2}(\d{1,10}|(0x)?[A-Fa-f0-9]{40}|(?:[A-Z2-7]{8})*(?:[A-Z2-7]{2}|[A-Z2-7]{4,5}|[A-Z2-7]{7,8}))$
account.balance
string

The optional balance value to compare against

Pattern: ^((gte?|lte?|eq|ne)\:)?\d{1,10}$
account.publickey
string

The account's public key to compare against

limit
integer<int32>
default:25

The maximum number of items to return

Required range: 1 <= x <= 100
order
enum<string>
default:desc

The order in which items are listed

Available options:
asc,
desc
timestamp
string[]

The consensus timestamp as a Unix timestamp in seconds.nanoseconds format with an optional comparison operator. See unixtimestamp.com for a simple way to convert a date to the 'seconds' part of the Unix time.

Pattern: ^((eq|gt|gte|lt|lte|ne):)?\d{1,10}(\.\d{1,9})?$

Response

OK

timestamp
string | null

A Unix timestamp in seconds.nanoseconds format

Pattern: ^\d{1,10}(\.\d{1,9})?$
Example:

"1586567700.453054000"

balances
object[]